<?php
vc_map( array(
	'name'     => esc_html( __( 'Google Maps', 'tm-lawyers' ) ),
	'base'     => 'thememove_gmaps',
	'category' => esc_html( sprintf( __( 'by %s', 'tm-lawyers' ), TM_LAWYERS_PARENT_THEME_NAME ) ),
	'params'   => array(
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Address or Coordinate', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'address',
			'value'       => '40.7590615,-73.969231',
			'description' => esc_html( __( 'Enter address or coordinate.', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'attach_image',
			'heading'     => esc_html( __( 'Marker icon', 'tm-lawyers' ) ),
			'param_name'  => 'marker_icon',
			'description' => esc_html( __( 'Choose a image for marker address', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'textarea_html',
			'heading'     => esc_html( __( 'Marker Information', 'tm-lawyers' ) ),
			'param_name'  => 'content',
			'description' => esc_html( __( 'Content for info window', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Height', 'tm-lawyers' ) ),
			'param_name'  => 'map_height',
			'value'       => '480',
			'description' => esc_html( __( 'Enter map height (in pixels or percentage)', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Width', 'tm-lawyers' ) ),
			'param_name'  => 'map_width',
			'value'       => '100%',
			'description' => esc_html( __( 'Enter map width (in pixels or percentage)', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Zoom level', 'tm-lawyers' ) ),
			'param_name'  => 'zoom',
			'value'       => '16',
			'description' => esc_html( __( 'Map zoom level', 'tm-lawyers' ) ),
		),
		array(
			'type'       => 'checkbox',
			'heading'    => esc_html( __( 'Enable Map zoom', 'tm-lawyers' ) ),
			'param_name' => 'zoom_enable',
			'value'      => array(
				esc_html( __( 'Enable', 'tm-lawyers' ) ) => 'enable'
			),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Map type', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'map_type',
			'description' => esc_html( __( 'Choose a map type', 'tm-lawyers' ) ),
			'value'       => array(
				esc_html( __( 'Roadmap', 'tm-lawyers' ) )   => 'roadmap',
				esc_html( __( 'Satellite', 'tm-lawyers' ) ) => 'satellite',
				esc_html( __( 'Hybrid', 'tm-lawyers' ) )    => 'hybrid',
				esc_html( __( 'Terrain', 'tm-lawyers' ) )   => 'terrain',
			),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Map style', 'tm-lawyers' ) ),
			'admin_label' => true,
			'param_name'  => 'map_style',
			'description' => esc_html( __( 'Choose a map style. This approach changes the style of the Roadmap types (base imagery in terrain and satellite views is not affected, but roads, labels, etc. respect styling rules', 'tm-lawyers' ) ),
			'value'       => array(
				esc_html( __( 'Default', 'tm-lawyers' ) )          => 'default',
				esc_html( __( 'Grayscale', 'tm-lawyers' ) )        => 'style1',
				esc_html( __( 'Subtle Grayscale', 'tm-lawyers' ) ) => 'style2',
				esc_html( __( 'Apple Maps-esque', 'tm-lawyers' ) ) => 'style3',
				esc_html( __( 'Pale Dawn', 'tm-lawyers' ) )        => 'style4',
				esc_html( __( 'Muted Blue', 'tm-lawyers' ) )       => 'style5',
				esc_html( __( 'Paper', 'tm-lawyers' ) )            => 'style6',
				esc_html( __( 'Light Dream', 'tm-lawyers' ) )      => 'style7',
				esc_html( __( 'Retro', 'tm-lawyers' ) )            => 'style8',
				esc_html( __( 'Avocado World', 'tm-lawyers' ) )    => 'style9',
				esc_html( __( 'Facebook', 'tm-lawyers' ) )         => 'style10',
				esc_html( __( 'Shades of Grey', 'tm-lawyers' ) )   => 'style11',
				esc_html( __( 'Custom', 'tm-lawyers' ) )           => 'custom'
			)
		),
		array(
			'type'       => 'textarea_raw_html',
			'heading'    => esc_html( __( 'Map style snippet', 'tm-lawyers' ) ),
			'param_name' => 'map_style_snippet',
			'dependency' => array(
				'element' => 'map_style',
				'value'   => 'custom',
			)
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Extra class name', 'tm-lawyers' ) ),
			'param_name'  => 'el_class',
			'description' => esc_html( __( 'If you want to use multiple Google Maps in one page, please add a class name for them.', 'tm-lawyers' ) ),
		),
	)
) );