<?php
vc_map( array(
	'name'                      => esc_html( __( 'Testimonials', 'tm-lawyers' ) ),
	'base'                      => 'thememove_testi',
	'category'                  => esc_html( sprintf( __( 'by %s', 'tm-lawyers' ), TM_LAWYERS_PARENT_THEME_NAME ) ),
	'allowed_container_element' => 'vc_row',
	'params'                    => array(
		array(
			'type'       => 'dropdown',
			'heading'    => esc_html( __( 'Enable Carousel', 'tm-lawyers' ) ),
			'param_name' => 'enable_carousel',
			'value'      => array(
				esc_html( __( 'No', 'tm-lawyers' ) )  => 'false',
				esc_html( __( 'Yes', 'tm-lawyers' ) ) => 'true',
			),
		),
		array(
			'type'       => 'dropdown',
			'heading'    => esc_html( __( 'Show Bullets', 'tm-lawyers' ) ),
			'param_name' => 'display_bullets',
			'value'      => array(
				esc_html( __( 'No', 'tm-lawyers' ) )  => 'false',
				esc_html( __( 'Yes', 'tm-lawyers' ) ) => 'true',
			),
			'dependency' => Array( 'element' => 'enable_carousel', 'value' => array( 'true' ) )
		),
		array(
			'type'       => 'dropdown',
			'heading'    => esc_html( __( 'Enable Autoplay', 'tm-lawyers' ) ),
			'param_name' => 'enable_autoplay',
			'value'      => array(
				esc_html( __( 'No', 'tm-lawyers' ) )  => 'false',
				esc_html( __( 'Yes', 'tm-lawyers' ) ) => 'true',
			),
			'dependency' => Array( 'element' => 'enable_carousel', 'value' => array( 'true' ) )
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Slides to display', 'tm-lawyers' ) ),
			'param_name'  => 'slides_to_display',
			'value'       => '',
			'description' => esc_html( __( 'Number of Slides to display (default: 2)', 'tm-lawyers' ) ),
			'dependency'  => Array( 'element' => 'enable_carousel', 'value' => array( 'true' ) )
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Number', 'tm-lawyers' ) ),
			'param_name'  => 'limit',
			'value'       => '',
			'description' => esc_html( __( 'Number of Testimonials', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Order by', 'tm-lawyers' ) ),
			'param_name'  => 'orderby',
			'value'       => array(
				esc_html( __( 'None', 'tm-lawyers' ) )       => 'none',
				esc_html( __( 'ID', 'tm-lawyers' ) )         => 'ID',
				esc_html( __( 'Title', 'tm-lawyers' ) )      => 'title',
				esc_html( __( 'Date', 'tm-lawyers' ) )       => 'date',
				esc_html( __( 'Menu Order', 'tm-lawyers' ) ) => 'menu_order',
			),
			'description' => esc_html( __( 'How to order the items', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Order', 'tm-lawyers' ) ),
			'param_name'  => 'order',
			'value'       => array(
				esc_html( __( 'DESC', 'tm-lawyers' ) ) => 'DESC',
				esc_html( __( 'ASC', 'tm-lawyers' ) )  => 'ASC',
			),
			'description' => esc_html( __( 'How to order the items', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Show Author Info', 'tm-lawyers' ) ),
			'param_name'  => 'display_author',
			'value'       => array(
				esc_html( __( 'No', 'tm-lawyers' ) )  => 'false',
				esc_html( __( 'Yes', 'tm-lawyers' ) ) => 'true',
			),
			'description' => esc_html( __( 'Choose yes to show author name and byline', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Show URL', 'tm-lawyers' ) ),
			'param_name'  => 'display_url',
			'value'       => array(
				esc_html( __( 'No', 'tm-lawyers' ) )  => 'false',
				esc_html( __( 'Yes', 'tm-lawyers' ) ) => 'true',
			),
			'description' => esc_html( __( 'Choose yes to show author url', 'tm-lawyers' ) ),
			'dependency'  => Array( 'element' => 'display_author', 'value' => array( 'true' ) )
		),
		array(
			'type'        => 'dropdown',
			'heading'     => esc_html( __( 'Show Author Image', 'tm-lawyers' ) ),
			'param_name'  => 'display_avatar',
			'value'       => array(
				esc_html( __( 'No', 'tm-lawyers' ) )  => false,
				esc_html( __( 'Yes', 'tm-lawyers' ) ) => true,
			),
			'description' => esc_html( __( 'Choose yes to show author avatar', 'tm-lawyers' ) ),
		),
		array(
			'type'        => 'textfield',
			'heading'     => esc_html( __( 'Avatar Size', 'tm-lawyers' ) ),
			'param_name'  => 'size',
			'value'       => '',
			'description' => esc_html( __( 'Size of Avatar', 'tm-lawyers' ) ),
		),
		array(
			'type'       => 'textfield',
			'heading'    => esc_html( __( 'Extra class name', 'tm-lawyers' ) ),
			'param_name' => 'el_class',
		)
	)
) );